export function isValidParams(params, constraints) {
  for (let i = 0; i < constraints.length; i++) {
    const constraint = constraints[i];

    if (constraint === '...') {
      return true;
    }

    if (constraint === '*') {
      if (params[i] === undefined) {
        return false;
      }
    } else if (Array.isArray(constraint)) {
      if (constraint.every(c => c !== params[i]?.[0])) {
        return false;
      }
    } else if (constraint !== params[i]?.[0]) {
      return false;
    }
  }

  return true;
}
export function validateParams(params, constraints, message) {
  if (!isValidParams(params, constraints)) {
    throw new Error(message);
  }
}
//# sourceMappingURL=validateParams.js.map