"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isValidParams = isValidParams;
exports.validateParams = validateParams;

function isValidParams(params, constraints) {
  for (let i = 0; i < constraints.length; i++) {
    var _params$i2;

    const constraint = constraints[i];

    if (constraint === '...') {
      return true;
    }

    if (constraint === '*') {
      if (params[i] === undefined) {
        return false;
      }
    } else if (Array.isArray(constraint)) {
      if (constraint.every(c => {
        var _params$i;

        return c !== ((_params$i = params[i]) === null || _params$i === void 0 ? void 0 : _params$i[0]);
      })) {
        return false;
      }
    } else if (constraint !== ((_params$i2 = params[i]) === null || _params$i2 === void 0 ? void 0 : _params$i2[0])) {
      return false;
    }
  }

  return true;
}

function validateParams(params, constraints, message) {
  if (!isValidParams(params, constraints)) {
    throw new Error(message);
  }
}
//# sourceMappingURL=validateParams.js.map